import React from "react";
import EyeDropInput from "../../../../../ui/inputs/EyeDropInput";

interface PickAndPlaceActionProps {
    pickPointValue: string;
    pickPointOnChange: (value: string) => void;
    placePointValue: string;
    placePointOnChange: (value: string) => void;
}

const PickAndPlaceAction: React.FC<PickAndPlaceActionProps> = ({
    pickPointValue,
    pickPointOnChange,
    placePointValue,
    placePointOnChange,
}) => {
    return (
        <>
            <EyeDropInput label="Pick Point" value={pickPointValue} onChange={pickPointOnChange} />
            <EyeDropInput label="Unload Point" value={placePointValue} onChange={placePointOnChange} />
        </>
    );
};

export default PickAndPlaceAction;
